# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Form
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Form API
Name:		php-horde-Horde_Form
Version:	1.1.0
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	23cf28f9d08763f2ff915815e41df8f4
URL:		https://github.com/horde/horde/tree/master/framework/Form/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Core < 2.0.0
Requires:	php-horde-Horde_Date < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Mime < 2.0.0
Requires:	php-horde-Horde_Nls < 2.0.0
Requires:	php-horde-Horde_Token < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Horde_Form package provides form rendering, validation, and other
functionality for the Horde Application Framework.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Form.php
%{php_pear_dir}/Horde/Form
%{php_pear_dir}/data/Horde_Form
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 455d99e
- updated to: 1.1.0

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> eea903c
- updated to: 1.0.6

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> a4201ab
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 4f14914
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 9b6dce2
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 6caf22f
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 6a228b5
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> b34e6f8
- horde h4 pear packages

